/* Container */


.ingite-dropdown-trigger.loading{
    background-color:var(--ingite-color-disabled);
    color:           var(--ingite-color-on-disabled);
}

.ingite-dropdown {
    background-color:var(--ingite-color-dropdown,    var(--ingite-color-surface));
    color:           var(--ingite-color-on-dropdown, var(--ingite-color-on-surface));
    margin:0;
    display:none;
    min-width:100px;
    overflow-y:auto;
    opacity:0;
    position:absolute;
    left:0;
    top:0;
    z-index:9999;
    transform-origin:0 0;
    -webkit-box-shadow:var(--shadow-1);
    box-shadow:        var(--shadow-1);
    list-style:none;
    padding-left:0;
    & ul{
        list-style:none;
        margin:0;
        padding-left:0;
    }
    & li {
        clear:both;
        color:inherit;
        cursor:pointer;
        min-height:50px;
        line-height:1.5rem;
        width:100%;
        text-align:left;
        transition:all .15s;
        &:hover {
            background-color:rgba(0,0,0,.025);
        }
        &.active{
            background-color:rgba(0,0,0,.03);
        }
        & > a {
            font-size:16px;
            color:inherit;
            display:block;
            line-height:22px;
            padding:14px 16px;
            text-decoration:none;

        }
        & i{
            display:inline-block;
            float:left;
            font-size:24px;
            height:inherit;
            line-height:inherit;
            margin:0;
            &.left, &:not(.right){
                margin-right:0.5rem;
            }
            &.right{
                float:right;
                margin-left:0.5rem;
            }
        }
    }
}
